Bug 1575472 (CVE-2018-1120) - CVE-2018-1120 kernel: fuse-backed file mmap-ed onto process cmdline arguments causes denial of service
Summary: CVE-2018-1120 kernel: fuse-backed file mmap-ed onto process cmdline arguments...
Status: NEW
Alias: CVE-2018-1120
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180517:1700,...
Keywords: Security
Depends On: 1576339 1576341 1579541 1576338 1576340 1576342 1579542
Blocks: 1575855
TreeView+ depends on / blocked
 
Reported: 2018-05-07 04:15 UTC by Doran Moppert
Modified: 2018-10-30 09:01 UTC (History)
49 users (show)

Fixed In Version: kernel 4.17
Doc Type: If docs needed, set a value
Doc Text:
By mmap()ing a FUSE-backed file onto a process's memory containing command line arguments (or environment strings), an attacker can cause utilities from psutils or procps (such as ps, w) or any other program which makes a read() call to the /proc/<pid>/cmdline (or /proc/<pid>/environ) files to block indefinitely (denial of service) or for some controlled time (as a synchronization primitive for other attacks).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 09:01 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:33 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:40 UTC

Description Doran Moppert 2018-05-07 04:15:21 UTC
By mmap()ing a FUSE-backed file onto a process's memory containing command line arguments (or environment strings), an attacker can cause utilities from psutils or procps (such as ps, w) or any other program which makes a read() call to the /proc/<pid>/cmdline (or /proc/<pid>/environ) files to block indefinitely (denial of service) or for some controlled time (as a synchronization primitive for other attacks).

External references:

http://seclists.org/oss-sec/2018/q2/122

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=7f7ccc2ccc2e70c6054685f5e3522efa81556830

Comment 12 Adam Mariš 2018-05-16 11:17:45 UTC
Acknowledgments:

Name: Qualys Research Labs

Comment 13 Vladis Dronov 2018-05-17 21:13:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1579542]

Comment 15 errata-xmlrpc 2018-10-30 07:33:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 16 errata-xmlrpc 2018-10-30 07:39:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 17 errata-xmlrpc 2018-10-30 09:01:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.